Bug 526492 - alsa-utils should require a particular version of alsa-lib
Summary: alsa-utils should require a particular version of alsa-lib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 15:30 UTC by Stepan Kasal
Modified: 2010-07-13 20:40 UTC (History)
2 users (show)

Fixed In Version: alsa-utils-1.0.23-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 18:41:54 UTC


Attachments (Terms of Use)

Description Stepan Kasal 2009-09-30 15:30:57 UTC
alsa-utils does require alsa-lib through the automated library requires but it should require a praticular version.
Ideally, it should require the corresponding version of alsa-lib, as this seems to be the only really tested combination.

During my previous life with rawhide, I once had alsa-utils-1.0.19 (brought by yum through a dependency) in combination with alsa-lib-1.0.15.  In that case, alsactl used to report a missing symbol.

I have verified that the current rawhide version, alsa-utils-1.0.21-2.fc12, contains no versioned require, so it can be installed with alsa-1.0.15-1.fc9.

Comment 1 Bug Zapper 2009-11-16 13:07:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2010-06-28 12:20:41 UTC
alsa-utils-1.0.23-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc12

Comment 3 Fedora Update System 2010-06-28 12:20:57 UTC
alsa-utils-1.0.23-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc13

Comment 4 Fedora Update System 2010-06-28 17:08:57 UTC
alsa-utils-1.0.23-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alsa-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc13

Comment 5 Fedora Update System 2010-06-28 17:18:15 UTC
alsa-utils-1.0.23-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alsa-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc12

Comment 6 James Laska 2010-06-30 13:27:24 UTC
Confirmed that alsa-utils-1.0.23-3.fc13 now has a requirement on alsa-lib >= %{version}

$ rpm -qR alsa-utils | grep alsa
alsa-lib >= 1.0.23
config(alsa-utils) = 1.0.23-3.fc13

This was not the case with the alsa-utils shipped with Fedora 13.

$rpm -qpR F-13/GOLD/Fedora/x86_64/os/Packages/alsa-utils-1.0.22-1.fc13.x86_64.rpm  | grep alsa
config(alsa-utils) = 1.0.22-1.fc13


The same is true with Fedora 12.

$ rpm -qpR alsa-utils-1.0.23-3.fc12.x86_64.rpm  | grep alsa
alsa-lib >= 1.0.23
config(alsa-utils) = 1.0.23-3.fc12

$ rpm -qpR F-12/GOLD/Fedora/x86_64/os/Packages/alsa-utils-1.0.21-2.fc12.x86_64.rpm  | grep alsa
config(alsa-utils) = 1.0.21-2.fc12

Comment 7 Fedora Update System 2010-07-01 18:41:38 UTC
alsa-utils-1.0.23-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-13 20:39:53 UTC
alsa-utils-1.0.23-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.